### A free/open-source library for quantitative finance

Functions
ql/math/comparison.hpp File Reference

floating-point comparisons More...

`#include <ql/types.hpp>`
`#include <boost/shared_ptr.hpp>`
Include dependency graph for comparison.hpp:

## Functions

bool | close (Real x, Real y)
bool | close (Real x, Real y, Size n)
bool | close_enough (Real x, Real y)
bool | close_enough (Real x, Real y, Size n)

## Detailed Description

floating-point comparisons